> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Count

> Get count of products matching filters.

**Authentication Required**: Requires `product:read` permission.



## OpenAPI

````yaml /openapi/merchantops-public.json get /api/products/stats/count
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/products/stats/count:
    get:
      tags:
        - Products
      summary: Get Product Count
      description: |-
        Get count of products matching filters.

        **Authentication Required**: Requires `product:read` permission.
      operationId: get_product_count
      parameters:
        - description: Filter by product type key
          in: query
          name: product_type
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by product type key
            title: Product Type
        - description: Filter by status
          in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by status
            title: Status
        - description: Filter by published status
          in: query
          name: is_published
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Filter by published status
            title: Is Published
        - description: Filter by source
          in: query
          name: source
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by source
            title: Source
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties:
                  type: integer
                title: Response Get Product Count Api Products Stats Count Get
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````